[ANNOUNCEMENT] boost 1.60.0-1

Frédéric Bron frederic.bron@m4x.org
Sun Sep 4 09:08:00 GMT 2016


Hi Yaakov,

Thanks for your message.

I downloaded your files from cygwinports/boost and tried to apply the
patches to boost 1.60.0 and got errors like this one:

# the first one runs fine:
$ patch -p1 --dry-run < ../cygport/fedora/boost-1.50.0-fix-non-utf8-files.patch
checking file libs/units/example/autoprefixes.cpp

# the second one gives this error:
$ patch -p1 --dry-run < ../cygport/fedora/boost-1.58.0-pool.patch
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: boost/pool/pool.hpp
|===================================================================
|--- boost/pool/pool.hpp        (revision 78317)
|+++ boost/pool/pool.hpp        (revision 78326)
--------------------------
File to patch:

How do you deal with those errors? Do you just skip patches that do
not work anymore?

Thanks,

Frédéric

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list